import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { T as TypographyMetaVariation } from './p-a6ca40fc.js';

const typographyMetaCss = ".sc-digi-typography-meta-h{--digi--typography-meta--font-weight--semibold:var(--digi--typography--preamble--font-weight--desktop);--digi--typography-meta--font-size:var(--digi--typography--preamble--font-size--desktop);--digi--typography-meta--font-family:var(--digi--global--typography--font-family--default);--digi--typography-meta--meta--font-weight:var(--digi--typography--body--font-weight--desktop);--digi--typography-meta--meta-secondary--font-weight:var(--digi--typography--body--font-weight--desktop)}.sc-digi-typography-meta-h .digi-typography-meta__meta.sc-digi-typography-meta,.sc-digi-typography-meta-h .digi-typography-meta__meta.sc-digi-typography-meta-s>*{font-weight:var(--digi--typography-meta--meta--font-weight)}.sc-digi-typography-meta-h .digi-typography-meta__meta-secondary.sc-digi-typography-meta,.sc-digi-typography-meta-h .digi-typography-meta__meta-secondary.sc-digi-typography-meta-s>*{font-weight:var(--digi--typography-meta--meta-secondary--font-weight)}.sc-digi-typography-meta-h .digi-typography-meta.sc-digi-typography-meta{font-size:var(--digi--typography-meta--font-size);font-family:var(--digi--typography-meta--font-family)}.sc-digi-typography-meta-h .digi-typography-meta--variation-primary.sc-digi-typography-meta .digi-typography-meta__meta.sc-digi-typography-meta{--digi--typography-meta--meta--font-weight:var(--digi--typography-meta--font-weight--semibold)}.sc-digi-typography-meta-h .digi-typography-meta--variation-secondary.sc-digi-typography-meta .digi-typography-meta__meta-secondary.sc-digi-typography-meta{--digi--typography-meta--meta-secondary--font-weight:var(--digi--typography-meta--font-weight--semibold)}";
const DigiTypographyMetaStyle0 = typographyMetaCss;

const TypographyMeta = /*@__PURE__*/ proxyCustomElement(class TypographyMeta extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afVariation = TypographyMetaVariation.PRIMARY;
    }
    get cssModifiers() {
        return {
            [`digi-typography-meta--variation-${this.afVariation}`]: !!this.afVariation
        };
    }
    render() {
        return (h("div", { key: 'dd6a1ac06598c79765642af91cd34ba09c5f44b9', class: Object.assign({ 'digi-typography-meta': true }, this.cssModifiers) }, h("div", { key: 'a809390d81933ec7308b3e1728d131f4c11512c1', class: "digi-typography-meta__meta" }, h("slot", { key: '910cbb74ec55a15d820e3c6f82003db6a32fb46d' })), h("div", { key: 'd43dcde99814a5c422e4b0d50374dfda6e7ab880', class: "digi-typography-meta__meta-secondary" }, h("slot", { key: 'ee07f4af89604b96f661a5cb7abcd8a9bb798e2f', name: "secondary" }))));
    }
    static get style() { return DigiTypographyMetaStyle0; }
}, [6, "digi-typography-meta", {
        "afVariation": [1, "af-variation"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-typography-meta"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-typography-meta":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TypographyMeta);
            }
            break;
    } });
}

const DigiTypographyMeta = TypographyMeta;
const defineCustomElement = defineCustomElement$1;

export { DigiTypographyMeta, defineCustomElement };
